Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSharingSelect< EOT > Class Template Reference

eoSharingSelect: select an individual by roulette wheel on its SHARED fitness. More...

`#include <eoSharingSelect.h>`

Inheritance diagram for eoSharingSelect< EOT >:

List of all members.

## Public Member Functions
| eoSharingSelect (double _sigma, eoDistance< EOT > &_dist)
| Ctor:.
## Private Attributes
eoSharing< EOT > | sharing

## Detailed Description

### template<class EOT>
class eoSharingSelect< EOT >

eoSharingSelect: select an individual by roulette wheel on its SHARED fitness.

It is an eoRouletteWorthSelect, i.e. a selector using a std::vector of worthes rather than the raw fitness (see eoSelectFromWorth.h) It uses an internal eoSharing object which is an eoPerf2Worth<EOT, double>

Definition at line 43 of file eoSharingSelect.h.

## Constructor & Destructor Documentation

template<class EOT>
eoSharingSelect< EOT >::eoSharingSelect | ( | double | _sigma,
|  | eoDistance< EOT > & | _dist
| ) | `[inline]`

  | Ctor:. Parameters:
  | _s | the sigma_share
Definition at line 49 of file eoSharingSelect.h.

The documentation for this class was generated from the following file:

- eoSharingSelect.h